import {request} from '@/utils/request.js'
/**
 * 分页查询
 */
export function getAlertByPage(data) {
  return request({
    url: '/alert/page',
    method: 'GET',
    data
  })
}

/**
 * 列表查询
 */
export function getAlertByList(data) {
  return request({
    url: '/alert',
    method: 'GET',
    data
  })
}

/**
 * 列表查询待处理告警
 */
export function getAlertWaitingByList(data) {
  return request({
    url: '/alert/waiting',
    method: 'GET',
    data
  })
}

/**
 * 基于ID查询Alert
 */
export function getAlertById(alertId) {
  return request({
    url: `/alert/${alertId}`,
    method: 'GET'
  })
}

/**
 * 完成处理
 * @param data
 * @returns
 */
export function completeAlert(data) {
  return request({
    url: `/alert/complete`,
    method: 'POST',
    data
  })
}

/**
 * 转交他人
 * @param alertId
 * @param data
 * @returns
 */
export function transferAlert(alertId, data) {
  return request({
    url: `/alert/transfer/${alertId}`,
    method: 'POST',
    data
  })
}

/**
 * 撤消
 * @param alertId
 * @returns
 */
export function cancelAlert(alertId) {
  return request({
    url: `/alert/cancel/${alertId}`,
    method: 'GET'
  })
}
/**
 * 删除
 */
export function deleteAlertById(alertId) {
  return request({
    url: `/alert/${alertId}`,
    method: 'DELETE'
  })
}

/**
 * 查询统计结果
 */
export function counterByStatus(data) {
  return request({
    url: '/alert/statis/counterByStatus',
    method: 'GET',
    data
  })
}

/**
 * 查询统计结果
 */
export function getAlertCounter() {
  return request({
    url: '/alert/statis/getCounter',
    method: 'GET'
  })
}
